Subject: Re: PATCH: refactor memstream for "print -v"
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Tue, 5 Jan 2016 08:33:03 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jan 5, 11:47am, Peter Stephenson wrote:
} Subject: Re: PATCH: refactor memstream for "print -v"
}
} On Tue, 5 Jan 2016 09:48:21 +0000
} Peter Stephenson <[email-masked]> wrote:
} > > - I note in passing that "print something >&-" is explicitly not an error,
} > >   but "print -u1 something >&-" IS an error.  Also unchanged here.
} > 
} > In the second case we've explicitly been told to "do something" with the
} > fd, which happens to be dup'ing and fdopen'ing it.  There's no such code
} > in the first place, and there doesn't seem any point in making the
} > second case silent.
} 
} Actually, it appears this is deliberate.

Yeah, I knew it was deliberate, though I'd forgotten about the discussion
with Zefram.

Recent bash do emit an error on "echo >&-", for whatever that's worth, in
case we want to revisit Zefram's argument.